Subject: Re: [Raven] Fly away, raven

From: Vernon Schryver <[email-masked]>
Date: Fri, 29 Oct 1999 12:46:59 -0600 (MDT)

> From: Grenville Armitage <[email-masked]>

> ...
> > You have been saying the question for this mailinglist is "what should
> > the IETF do?"  If there is no reason to expect LEAs or equipment vendors
> > to care about an IETF standard, then the rational answer is "nothing."
>
> I'm working on the premise that at least one vendor's representatives
> have lobbied the IESG for this sort of spec. As I mentioned before,
> this need not have any relationship to whether an LEA will be
> legally obliged to use equipment built to the spec under current
> legal conditions.

I think you are assuming facts not in evidence, and giving vendors
and their representatives too much credit.  As far as I can tell,
some may want a tapping standard, but none care about auditing.

> But okay, I'll bite on the question. I expect that "law abiding" LEAs
> will use an auditable tap when the law makers figure out it is possible
> to define such a thing _and_ make it a requirement for legally admissable
> evidence in court.
>
> Now before people rant _yet again_ about how such things can be
> corrupted or avoided or all sorts of nasty things, I re-state that
> such observations are irrelevant. Today most enlightened societies
> have a notion of illegal search, and on the basis of a search's
> illegality evidence can be thrown out. I dont care to tackle the
> overarching problem of preventing illegal searches from ever occuring.
> ...

Even if you accept that optimistic view, you still have the speed of
legislatures.  By the time they figure out what the IETF is offering, the
offer will be moot.  Real encryption, including random, unknown and so
safe even from court order session keys as well as government-unknown key
authentication will be in phones, even if only as add-on JAVA applets in
those fancy mobile phones the telcos are talking about.

> ...
> > Besides, the official IETF 'stamp of consensus' is already on non-auditable
> > specs; RMON is an IETF standard.  The de facto IETF 'stamp of consensus'
> > is on tcpdump.
>
> Which is pretty funny, consider the libertarian nature of most of
> us. We all trust our ISP, but not our government ;)

No, I think is shows that we don't trust anyone, since we encrypt
what we care about, and don't worry about anyone snooping on our
ciphertext or the stuff we don't care about.
PGP, SSL, and SSH are neither new nor unpopular.

> I think we both agree that raw packet traces are not the real
> question here - its our ability to encrypt and have someone
> else anonymously decrypt the intercepted transmission here.

I think that is the question.  If you really agree, then you must
also agree that the notion of anyone or anything doing anonymous
decryptng of anything is insane.  Real encryption cannot be anonymous
decrypted.  That's the whole purpose of encryption!  Only charades
of encryption like Clipper permit such nonsense.

> There is an avenue for the IESG to establish minimum standards
> for protocols supporting anonymous (N+1)th parties to an existing set
> of participants. That's the correct statement of the technical
> problem. There's a value in proving to lawmakers that such things
> can exist. ...

The lawmakers will make it illegal for a police officer to be the N+1st
party in interesting converstations as soon as they make it illegal for
the police be be principals officially illegal transactions.  Do you see
any prospect that any legislature will outlaw "stings," "drug buys," and
other "under cover" police work?  I don't.

Yes, there is a difference between being the N+1st party when the other
N think there are only N and being the announced N+1st, but it is small.

Vernon Schryver    [email-masked]

_______________________________________________
raven mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/raven

---

From: Grenville Armitage <[email-masked]>
Date: Fri, 29 Oct 1999 12:50:26 -0700

[..]
> N think there are only N and being the announced N+1st, but it is small.

You know, I thought this was answered a number of my emails ago. But
hey, full marks for trying.

I'm not interested in 'announcing' the (N+1)th participant. I'm
surmising that an IESG compromise is to require that party management
protocols track and audit the (N+1)th participant - a permeable (some
time later) anonymity, so to speak. If the (N+1)th participant wants
to announce themselves, that's their issue.

Of course 'good' user-supplied encryption can make us feel
impervious to taps. More power to us.

I'm trying to suggest a compromise which allows raving libertarians
to be smug in the knowledge that the IETF isn't developing protocols
with weak crypto, yet provides guidlines for when the megaco group
(or similar) says "we're want to build multi-party call control
anyway, 'cos some of us believe our customers want something
they can build with interoperable, multi-vendor COTS equipment".

cheers,
gja